<!DOCTYPE html>

<html>
	<head>
		<meta charset='urtf 8'/>
		<title>CSS Chapitre-2</title>
		<style>
			ul {
				list-style-type: none;
				margin: 0;
				padding: 0;
				overflow: hidden;
				background-color: #333;
			}

			li {
				float: left;
			}

			li a {
				display: block;
				color: white;
				text-align: center;
				padding: 14px 16px;
				text-decoration: none;
			}

			li a:hover {
				background-color: #111;
			}
		</style>
		<style>		
			body {
			background-image: url("fond.jpg");	
			margin-left:300px;
			margin-right:300px;
			}
		</style>
		<style>
			p.round3 {
			border: 3px solid red;
			border-radius: 12px;
			background-color :#333;
			}
		</style>
		<style>
			a:link, a:visited {
				
				color: white;
				padding: 14px 25px;
				text-align: center;
				text-decoration: none;
				display: inline-block;
			}
			a:hover, a:active {
				background-color: red;
}		</style>

	</head>
	<body style="font-family: Arial; color:#000000;color:white;">
	<ul>
		  <li><a class="active" href="CSS Chapitre-1.html">Chapitre 1</a></li>
		  <li><a href="CSS Chapitre-2.html">Chapitre 2</a></li>
		  <li><a href="CSS Chapitre-3.html">Chapitre 3</a></li>
		</ul>
		<center><h1>Chapitre-2 : Les normes CSS</h1></center>
		<center><h2>Quelques règles à connaitre en CSS</h2></center>
		<center><h3>Comment metre en forme ?</h3></center>
		<br>
		<hr>
		<br>
			<h4>Les Bases</h4>
			<br>
			<center><p class="round3">p<br>
			{<br>
			}<br></p></center>
			Cela veux dire que je veux toucher tous les paragraphes.<br><br>
			<center><p class="round3">h1, em<br>
			{<br>
			}<br></p></center>
			Tous les titres et tous les textes importants.<br><br>
			<center><p class="round3">h3 em<br>
			{<br>
			}<br></p></center>
			Sélectionne toutes les balises "em" situées à l'intérieur d'une balise "h3".<br><br>
			<center><p class="round3">h3 + p<br>
			{<br>
			}<br></p></center>
			Sélectionne la première balise "p" située après un titre "h3".<br><br>
			<center><p class="round3">a[title]<br>
			{<br>
			}<br></p></center>
			Sélectionne tous les liens "a" qui possèdent un attribut title.<br><br>
			<center><p class="round3">a[title="Cliquez ici"]<br>
			{<br>
			}<br></p></center>
			Idem, mais l'attribut "title" doit en plus avoir exactement pour valeur « Cliquez ici ».<br><br>
			<center><p class="round3">a[title*="ici"]<br>
			{<br>
			}<br></p></center>
			Idem, l'attribut "title" doit cette fois contenir dans sa valeur le mot « ici » (peu importe sa position).
			<br>
			<h4>Inclure du HTML</h4>
			<p> 3 manières d'inclure du CSS dans un contenu de HTML </p>
			<h5>Inclure du HTML par des attributs </h5>
			<p> On donne des valeurs exactes aux attributs comme la taille la couleur  </p>
			<p> on donne la hauteur a une image par exemple<br>
			"img src="images/flecheblanchedroite.png" width="6%" alt="" />"<br>
			</p>
			<h5> on ouvre une balise style dans le head du contenu HTML </h5>
			<center><p class="round3"> <br>
			!DOCTYPE html<br>
			<code>html<br>head<br>style<br>ul {<br>list-style-type: none;<br>margin: 0;<br>padding: 0;<br>overflow: hidden;<br>}""<br>/style<br>&eacute;/head<br>/html<br><br></p></center>
			</code>
			<h5> On crée une nouvelle page en .css ou on insert le code de la mise en page </h5>
			<p> Dans head on note<br>
			link rel="stylesheet" href="style.css" <br>
			</p>
			<center><a href="presentation.html" target="_blank">Exemple de typographie</a></center>
	</body>
</html>